std::_Node_handle< _Key, _Value, _NodeAlloc >(3cxx)

NAME
std::_Node_handle< _Key, _Value, _NodeAlloc > - Node handle type for maps.

SYNOPSIS

Inherits std::_Node_handle_common< _Value, _NodeAlloc >.

  Public Types

using allocator_type = __alloc_rebind< _NodeAlloc, _Value >
using key_type = _Key
using mapped_type = typename _Value::second_type

  Public Member Functions

_Node_handle (_Node_handle &&) noexcept=default
bool empty () const noexcept
allocator_type get_allocator () const noexcept
key_type & key () const noexcept
mapped_type & mapped () const noexcept
operator bool () const noexcept
_Node_handle & operator= (_Node_handle &&) noexcept=default
void swap (_Node_handle &__nh) noexcept

  Friends

template<typename _Key2 , typename _Value2 , typename _ValueAlloc , typename _ExtractKey , typename _Equal , typename _Hash , typename _RangeHash , typename _Unused , typename _RehashPolicy , typename _Traits > class _Hashtable
template<typename _Key2 , typename _Value2 , typename _KeyOfValue , typename _Compare , typename _ValueAlloc > class _Rb_tree
void swap (_Node_handle &__x, _Node_handle &__y) noexcept(noexcept(__x.swap(__y)))

Detailed Description

  template<typename _Key, typename _Value, typename _NodeAlloc>
class std::_Node_handle< _Key, _Value, _NodeAlloc >" Node handle type for maps.

Author

Generated automatically by Doxygen for libstdc++ from the source code.